const { spawn } = require('child_process');

module.exports = async function (globalConfig, projectConfig) {
  console.info('\nSpawning server process...');
  const child = spawn('node', ['server.js']);

  child.stdout.on('data', data => {
    console.log(`${data}`);
  });

  globalThis.__INTEG_TEST_SERVER_PID__ = child.pid;

  child.stderr.on('data', data => {
    const str = data.toString();
    console.log('[server]', str);

    if (str.includes(projectConfig.globals.testServerUrl)) {
      setTimeout(resolve, 200);
    }
  });
};
