const { createServer } = require('esbuild-server');

//https://esbuild.github.io/api/#build
const buildOptions = {
  bundle: true,
  entryPoints: ['src/app.js'],
};

//https://github.com/oblador/esbuild-server?tab=readme-ov-file#serveroptions
const serverOptions = {
  static: 'public',
};

const env = process.env.NODE_ENV === 'test' ? 'Test' : 'Development';
const server = createServer(buildOptions, serverOptions);
const buildStart = Date.now();

server
  .start()
  .then(() => {
    console.log(`Build completed in ${Date.now() - buildStart}ms`);
  })
  .catch(() => {
    console.error('Build failed');
  });

console.log(`${env} server running at ${server.url}`);
